# Class ExecutionControl.ClassInstallException

java.lang.Object
java.lang.Throwable
java.lang.Exception
jdk.jshell.spi.ExecutionControl.ExecutionControlException
jdk.jshell.spi.ExecutionControl.ClassInstallException

All Implemented Interfaces:
  `Serializable`

Enclosing interface:
  `ExecutionControl`

public static class ExecutionControl.ClassInstallException extends ExecutionControl.ExecutionControlException
A class install (load or redefine) encountered a problem.

Since:
  9
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ClassInstallException(String message, boolean[] installed)`

## Method Summary

Modifier and Type
Method
Description
`boolean[]`
`installed()`
Indicates which of the passed classes were successfully loaded/redefined.

### Methods declared in class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ClassInstallException

public ClassInstallException(String message, boolean[] installed)

## Method Details

### installed

public boolean[] installed()
Indicates which of the passed classes were successfully loaded/redefined.

Returns:
  a one-to-one array with the `ExecutionControl.ClassBytecodes``[]` array -- `true` if installed